<?php

namespace App\Controllers;

use \App\Models\Menu;
use CodeIgniter\RESTful\ResourceController;

class RestMenu extends ResourceController
{
    public function index()
    {
        return parent::index(); // TODO: Change the autogenerated stub
    }

    public function show($id = null)
    {
        return parent::show($id); // TODO: Change the autogenerated stub
    }

    public function create()
    {
        return parent::create(); // TODO: Change the autogenerated stub
    }

    public function update($id = null)
    {
        return parent::update($id); // TODO: Change the autogenerated stub
    }

    public function delete($id = null)
    {
        return parent::delete($id); // TODO: Change the autogenerated stub
    }

    public function findAllActiveMenusByUser()
    {
        $model = new Menu();
        $model->select('id_menu, etiqueta, enlace, id_menu_padre, activo, descripcion, icono');
        $model->where('activo', 's');
        $model->where('id_menu_padre', 0);
        $model->orderBy('etiqueta', 'asc');
        return $this->respond($model->findAll());
    }
  
    public function findAllSubmenusByMenu($idMenu = null) {
        $model = new Menu();
        $model->select('id_menu, etiqueta, enlace, id_menu_padre, activo, descripcion, icono');
        $model->where('activo', 's');
        $model->where('id_menu_padre', $idMenu);
        $model->orderBy('etiqueta', 'asc');
        return $this->respond($model->findAll());
    }

}